## kodi-visualization-goom 1.0.0

=== CMakeLists.txt ===
project(visualization.goom)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(kodi REQUIRED)

find_package(OpenGL REQUIRED)
include_directories(${OpenGL_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/lib/goom2k4-0/src)

include(ExternalProject)
set(update_command "")
if(BOOTSTRAP_IN_TREE OR NOT DEFINED BOOTSTRAP_IN_TREE)
  set(update_command UPDATE_COMMAND autoreconf -vif WORKING_DIRECTORY <SOURCE_DIR>)
endif()
externalproject_add(libgoom SOURCE_DIR ${PROJECT_SOURCE_DIR}/lib/goom2k4-0
                    "${update_command}"
                    CONFIGURE_COMMAND ${PROJECT_SOURCE_DIR}/lib/goom2k4-0/configure --disable-shared --enable-static --with-pic --prefix=<INSTALL_DIR>
                    BUILD_COMMAND ${MAKE}
                    INSTALL_COMMAND "")

set(GOOM_SOURCES src/Main.cpp)

set(DEPLIBS ${OPENGL_LIBRARIES}
            ${CMAKE_BINARY_DIR}/libgoom-prefix/src/libgoom-build/src/.libs/libgoom2.a)

build_addon(visualization.goom GOOM DEPLIBS)

add_dependencies(visualization.goom libgoom)
include(CPack)

=== debian/changelog ===
kodi-visualization-goom (1.0.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Change to multiarch install to match our Kodi, otherwise it won't work.
  * Use a dh-exec debian/install file, add dh-exec to build-depends.
  * Compat level 9, minimum debhelper version is 9.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 08 May 2016 16:00:18 -0700

kodi-visualization-goom (1.0.0-1~trusty) trusty; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

  [ wsnipex ]
  * no upstream changelog available

 -- wsnipex <wsnipex@a1.net>  Mon, 23 Nov 2015 21:41:07 +0100

=== debian/control ===
Source: kodi-visualization-goom
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Arne Morten Kvarving <spiff@xbmc.org>
Build-Depends: debhelper (>= 9),
 dh-exec (>=0.3),
 cmake,
 kodi-addons-dev,
 libgl1-mesa-dev,
 automake,
 autoconf,
 libtool
Standards-Version: 3.9.2
Section: libs
Homepage: http://xbmc.org

Package: kodi-visualization-goom
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GOOM visualization for Kodi
 GOOM visualization for Kodi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
	-DBUILD_SHARED_LIBS=1 \
	-DUSE_LTO=1

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/kodi-visualization-goom

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-visualization-goom

## kodi-visualization-goom 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 
 find_package(OpenGL REQUIRED)
 include_directories(${OpenGL_INCLUDE_DIR}

=== debian/changelog ===
kodi-visualization-goom (1.1.0-2mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Rebuild against Kodi 17.
  * Don't use ccache or quilt.
  * Remove -dmo from version string.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 15:01:40 -0800

kodi-visualization-goom-dmo (1.1.0-dmo2) unstable; urgency=medium

  * Switch to source format '3.0 (quilt)'.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Dec 2016 14:48:38 +0100

kodi-visualization-goom-dmo (1.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 May 2016 18:18:37 +0200

kodi-visualization-goom-dmo (1.0.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Mar 2016 08:41:06 +0100

=== debian/control ===
Source: kodi-visualization-goom
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Homepage: https://github.com/notspiff/visualization.goom
Standards-Version: 3.9.8
Build-Depends: debhelper (>=9), cmake, kodi-addons-dev, libgl1-mesa-dev

Package: kodi-visualization-goom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi (>= 16.1~)
Description: GOOM audio visualization for Kodi
 The Goom 2k4 visualization supports effects like Tentacles, Flash, Stars,
 Fireworks, Waves, Blurs and Glows and includes a large number of trippy
 hypnotic effects that dance, swirl and pop with the music.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 \
	-DCMAKE_INSTALL_PREFIX=/usr

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_clean:
	dh_clean visualization.goom/addon.xml
